package com.mjsheng.myappstore.bean;

import java.io.Serializable;

/**
 * Created by Administrator on 2016/10/10.
 */
public class AppContentInfo implements Serializable {

        private String app_id;
        private String app_name;
        private String app_title;
        private String app_package;
        private String app_version_name;
        private String app_size;
        private String app_img;
        private String app_preview1;
        private String app_preview2;
        private String app_preview3;
        private String app_preview4;
        private String app_preview5;
        private String app_desc;
        private String app_downloads;
        private String app_url;
        private String app_tag1;
        private String app_tag2;
        private String app_tag3;
        private String app_tag4;
        private String app_createtime;
        private String app_show;
        private String xitong_id;
        private String zixitong_id;
        private String zhuanti_id;
        private String pinpai_id;
        private String app_score;

        public String getApp_id() {
            return app_id;
        }

        public void setApp_id(String app_id) {
            this.app_id = app_id;
        }

        public String getApp_name() {
            return app_name;
        }

        public void setApp_name(String app_name) {
            this.app_name = app_name;
        }

        public String getApp_title() {
            return app_title;
        }

        public void setApp_title(String app_title) {
            this.app_title = app_title;
        }

        public String getApp_baoming() {
            return app_package;
        }

        public void setApp_baoming(String app_baoming) {
            this.app_package = app_baoming;
        }

        public String getApp_banben() {
            return app_version_name;
        }

        public void setApp_banben(String app_banben) {
            this.app_version_name = app_banben;
        }

        public String getApp_size() {
            return app_size;
        }

        public void setApp_size(String app_size) {
            this.app_size = app_size;
        }

        public String getApp_img() {
            return app_img;
        }

        public void setApp_img(String app_img) {
            this.app_img = app_img;
        }

        public String getApp_bigimg1() {
            return app_preview1;
        }

        public void setApp_bigimg1(String app_bigimg1) {
            this.app_preview1 = app_bigimg1;
        }

        public String getApp_bigimg2() {
            return app_preview2;
        }

        public void setApp_bigimg2(String app_bigimg2) {
            this.app_preview2 = app_bigimg2;
        }

        public String getApp_bigimg3() {
            return app_preview3;
        }

        public void setApp_bigimg3(String app_bigimg3) {
            this.app_preview3 = app_bigimg3;
        }

        public String getApp_bigimg4() {
            return app_preview4;
        }

        public void setApp_bigimg4(String app_bigimg4) {
            this.app_preview4 = app_bigimg4;
        }

        public String getApp_bigimg5() {
            return app_preview5;
        }

        public void setApp_bigimg5(String app_bigimg5) {
            this.app_preview5 = app_bigimg5;
        }

        public String getApp_desc() {
            return app_desc;
        }

        public void setApp_desc(String app_desc) {
            this.app_desc = app_desc;
        }

        public String getApp_down() {
            return app_downloads;
        }

        public void setApp_down(String app_down) {
            this.app_downloads = app_down;
        }

        public String getApp_file() {
            return app_url;
        }

        public void setApp_file(String app_file) {
            this.app_url = app_file;
        }

        public String getApp_tag1() {
            return app_tag1;
        }

        public void setApp_tag1(String app_tag1) {
            this.app_tag1 = app_tag1;
        }

        public String getApp_tag2() {
            return app_tag2;
        }

        public void setApp_tag2(String app_tag2) {
            this.app_tag2 = app_tag2;
        }

        public String getApp_tag3() {
            return app_tag3;
        }

        public void setApp_tag3(String app_tag3) {
            this.app_tag3 = app_tag3;
        }

        public String getApp_tag4() {
            return app_tag4;
        }

        public void setApp_tag4(String app_tag4) {
            this.app_tag4 = app_tag4;
        }

        public String getApp_time() {
            return app_createtime;
        }

        public void setApp_time(String app_time) {
            this.app_createtime = app_time;
        }

        public String getApp_show() {
            return app_show;
        }

        public void setApp_show(String app_show) {
            this.app_show = app_show;
        }

        public String getXitong_id() {
            return xitong_id;
        }

        public void setXitong_id(String xitong_id) {
            this.xitong_id = xitong_id;
        }

        public String getZixitong_id() {
            return zixitong_id;
        }

        public void setZixitong_id(String zixitong_id) {
            this.zixitong_id = zixitong_id;
        }

        public String getZhuanti_id() {
            return zhuanti_id;
        }

        public void setZhuanti_id(String zhuanti_id) {
            this.zhuanti_id = zhuanti_id;
        }

        public String getPinpai_id() {
            return pinpai_id;
        }

        public void setPinpai_id(String pinpai_id) {
            this.pinpai_id = pinpai_id;
        }

        public String getApp_pfen() {
            return app_score;
        }

        public void setApp_pfen(String app_pfen) {
            this.app_score = app_pfen;
        }


    public boolean equals(Object obj) {
        if (this == obj)      //传入的对象就是它自己，如s.equals(s)；肯定是相等的；
            return true;
        if (obj == null)     //如果传入的对象是空，肯定不相等
            return false;
        if (getClass() != obj.getClass())  //如果不是同一个类型的，如Studnet类和Animal类，
            //也不用比较了，肯定是不相等的
            return false;
        AppContentInfo other = (AppContentInfo) obj;
        if (app_package == null) {
            if (other.app_package != null)
                return false;
        } else if (!app_package.equals(other.app_package))   //如果name属性相等，则相等
            return false;
        return true;
    }
}
